%define name1	ffDiaporama

Name:		ffdiaporama
Version:	1.5
Release:	%mkrel 3
Summary:	Movie creator from photos and video clips
License:	GPLv2
URL:		http://ffdiaporama.tuxfamily.org
Group:		Video/Editors and Converters

Source0:	http://download.tuxfamily.org/ffdiaporama/Archives/ffdiaporama_%version.tar.gz

BuildRequires:	qt4-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	desktop-file-utils
BuildRequires:	taglib-devel
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(qimageblitz)

Requires:	ffmpeg
Requires:	qt4-common


%description
ffDiaporama is an application of creation of videos sequences established by
    * titles, fixed or livened up.
    * images or by photos, fixed or livened up.
    * movie clip
    * music

These sequences are assembled in slide show by means of transitions of sequence
to produce complete videos

Main features:
    * Refocused of images and photos and refocused and cutting of video clips
    * Note (addition of text) for images, photos, sequences and animations
    * Graphic filters on the images and the videos (passage in black and white,
      dust removal, equalization of colors, etc.)
    * Creation of animation by zoom, rotation or Ken Burns Effect on part of 
      images or photos
    * Correction of the images and the videos during the animations
      (luminosity, contrast, gamma, colors, etc.)
    * Transitions between sequence with definition of the transition type, 
      sequence by sequence.
    * Addition of a background sound (wav, mp3 or ogg) with customizable 
      effects of volume, fade in/out and passage in pause, sequence by
      sequence.
    * Generation of usable videos by most of the current videos equipments 
      (DVD player/smartphone, multimedia box, hard drive, etc.) but also 
      publishable on the main video sharing Web sites (YouTube, Dailymotion, 
      etc.)

%prep
%setup -q -c %name\_%version


%build
%qmake_qt4 %name1.pro
%make


%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT


%files
%{_datadir}/%name1/
%{_bindir}/%name1
%{_datadir}/applications/ffDiaporama.desktop
%{_datadir}/mime/packages/ffDiaporama-mime.xml
%{_datadir}/icons/hicolor/*/apps/ffdiaporama.png


%clean
rm -rf %{buildroot}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.5-3.mga3
+ Revision: 350257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.5-2.mga3
+ Revision: 341617
- rebuild for new ffmpeg

  + dglent <dglent>
    - New version 1.5

* Sun Oct 07 2012 dglent <dglent> 1.4-1.mga3
+ Revision: 303202
- New version 1.4

* Mon Oct 01 2012 obgr_seneca <obgr_seneca> 1.3.1-1.mga3
+ Revision: 301627
- adapted to new rpm group policy

  + dglent <dglent>
    - New version 1.3.1

* Mon Jun 18 2012 fwang <fwang> 1.3-3.mga3
+ Revision: 261628
- rebuild for new libexiv

* Fri Jun 01 2012 fwang <fwang> 1.3-2.mga3
+ Revision: 252799
- drop unused requires, those requires are alrady promoted by binary deps

  + dglent <dglent>
    - 'licences.txt' was listed twice

* Mon May 28 2012 dglent <dglent> 1.3-1.mga3
+ Revision: 247821
- New version 1.3 stable
- New version 1.3beta1

* Mon Apr 09 2012 dglent <dglent> 1.2.1-1.mga2
+ Revision: 229802
- New stable version 1.2.1

* Tue Mar 06 2012 obgr_seneca <obgr_seneca> 1.2-1.mga2
+ Revision: 220460
- removed unneeded Requires

  + dglent <dglent>
    - New version 1.2 stable
    - imported package ffdiaporama

